> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files



## OpenAPI

````yaml get /unified/documents/files
openapi: 3.1.0
info:
  title: Documents
  description: The documentation for the StackOne Unified API - DOCUMENTS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.stackone.com
security: []
tags:
  - name: Files
    description: Files that can be uploaded or managed.
  - name: Folders
    description: Folders for organizing files.
  - name: Drives
    description: Drives for storing and managing files.
paths:
  /unified/documents/files:
    get:
      tags:
        - Files
      summary: List Files
      operationId: documents_list_files
      parameters:
        - name: x-account-id
          in: header
          description: The account identifier
          required: true
          schema:
            type: string
        - name: x-stackone-api-session-token
          in: header
          description: The session token
          required: false
          schema:
            type: string
        - name: raw
          required: false
          in: query
          description: >-
            Indicates that the raw request result should be returned in addition
            to the mapped result (default value is false)
          schema:
            nullable: true
            type: boolean
        - name: proxy
          required: false
          in: query
          description: >-
            Query parameters that can be used to pass through parameters to the
            underlying provider request by surrounding them with 'proxy' key
          schema:
            additionalProperties: true
            nullable: true
            type: object
        - name: fields
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be returned in the
            response (if empty, all fields are returned)
          schema:
            nullable: true
            example: >-
              id,remote_id,name,description,url,size,file_format,path,owner_id,remote_owner_id,folder_id,remote_folder_id,drive_id,remote_drive_id,export_formats,default_download_format,created_at,updated_at,has_content,has_children,all_parent_folder_ids,remote_all_parent_folder_ids,unified_custom_fields
            type: string
        - name: filter
          required: false
          in: query
          description: Documents Files Filter
          explode: true
          style: deepObject
          schema:
            properties:
              updated_after:
                description: >-
                  Use a string with a date to only select results updated after
                  that given date
                example: '2020-01-01T00:00:00.000Z'
                type: string
                format: date-time
                nullable: true
                additionalProperties: false
              name:
                description: Search if the name of the file contains the string
                example: john_doe_resume.pdf
                type: string
                nullable: true
              content:
                description: >-
                  Search if the contents of the file contains the string
                  (contents can include file metadata)
                example: FAQ of the project
                type: string
                nullable: true
              created_after:
                description: >-
                  Use a string with a date to only select results created after
                  that given date
                example: '2020-01-01T00:00:00.000Z'
                type: string
                format: date-time
                nullable: true
                additionalProperties: false
              drive_id:
                description: Use to only include Files within the specified Drive
                example: '1234567890'
                type: string
                nullable: true
              folder_id:
                description: >-
                  Use to only include Files within the specified Folder.
                  Required when requesting nested items
                example: '1234567890'
                type: string
                nullable: true
            nullable: true
            type: object
        - name: page
          required: false
          in: query
          description: The page number of the results to fetch
          deprecated: true
          schema:
            type: string
            nullable: true
        - name: page_size
          required: false
          in: query
          description: The number of results per page (default value is 25)
          schema:
            type: string
            nullable: true
        - name: next
          required: false
          in: query
          description: The unified cursor
          schema:
            type: string
            nullable: true
        - name: updated_after
          required: false
          in: query
          description: >-
            Use a string with a date to only select results updated after that
            given date
          deprecated: true
          schema:
            format: date-time
            nullable: true
            example: '2020-01-01T00:00:00.000Z'
            type: string
        - name: folder_id
          required: false
          in: query
          description: >-
            Use to only include Files within the specified Folder. Required when
            requesting nested items
          schema:
            nullable: true
            example: '1234567890'
            type: string
        - name: nested_items
          required: false
          in: query
          description: >-
            When "true" and used with filter[folder_id], the response includes
            Files and Files within descendant Folders
          schema:
            nullable: true
            default: 'false'
            example: 'true'
            type: string
        - name: include
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be included in the
            response
          schema:
            nullable: true
            example: all_parent_folder_ids
            type: string
        - name: Prefer
          in: header
          required: false
          description: >-
            Set to "heartbeat" to enable keep-alive newline heartbeats during
            long-running requests. Response includes Preference-Applied:
            heartbeat header when honored. (RFC 7240)
          schema:
            type: string
            example: heartbeat
      responses:
        '200':
          description: The list of files was retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilesPaginated'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '408':
          description: The request has timed out.
          headers:
            Retry-After:
              description: A time in seconds after which the request can be retried.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestTimedOutResponse'
        '409':
          description: Conflict with current state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '412':
          description: >-
            Precondition failed: linked account belongs to a disabled
            integration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreconditionFailedResponse'
        '422':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Server error while executing the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
        '501':
          description: This functionality is not implemented.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotImplementedResponse'
        '502':
          description: Bad gateway error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadGatewayResponse'
      security:
        - basic: []
components:
  schemas:
    FilesPaginated:
      type: object
      properties:
        next:
          type: string
          nullable: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/Files'
        raw:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      required:
        - data
    BadRequestResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad Request
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
        data:
          description: Error details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnifiedError'
        provider_errors:
          description: List of provider-specific errors
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderError'
      required:
        - statusCode
        - message
        - timestamp
    UnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden resource
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotFoundResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    RequestTimedOutResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 408
        message:
          type: string
          description: Error message
          example: Request timed out
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ConflictResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 409
        message:
          type: string
          description: Error message
          example: Conflict
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    PreconditionFailedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 412
        message:
          type: string
          description: Error message
          example: Precondition failed
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    UnprocessableEntityResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 422
        message:
          type: string
          description: Error message
          example: Unprocessable Entity
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TooManyRequestsResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 429
        message:
          type: string
          description: Error message
          example: Too many requests
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal server error
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotImplementedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 501
        message:
          type: string
          description: Error message
          example: Not Implemented
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadGatewayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 502
        message:
          type: string
          description: Error message
          example: Bad Gateway
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    Files:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name associated with this file
          example: Information-Technology
          nullable: true
        description:
          type: string
          description: The description of the file
          example: This is the description associated to the file.
          nullable: true
        size:
          type: number
          description: The size of this file
          example: 1024
          nullable: true
        url:
          type: string
          description: The url of the file
          example: https://drive.google.com/file/d/nd8932h9d/view
          nullable: true
        file_format:
          description: The file format of the file
          nullable: true
          allOf:
            - $ref: '#/components/schemas/FileFormatEnum'
        path:
          type: string
          description: The path where the file is stored
          example: /path/to/file
          nullable: true
        owner_id:
          type: string
          description: The user ID of owner of this file
          example: c28xyrc55866bvuv
          nullable: true
        export_formats:
          description: List of supported export formats
          example:
            - application/pdf
          nullable: true
          type: array
          items:
            type: string
        default_download_format:
          type: string
          description: Default download format
          example: application/pdf
          nullable: true
        remote_owner_id:
          type: string
          description: Provider's unique identifier of the owner of this file
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
        folder_id:
          type: string
          description: The parent folder ID associated with this file
          example: c28xyrc55866bvuv
          nullable: true
        remote_folder_id:
          type: string
          description: >-
            Provider's unique identifier of the parent folder associated with
            this file
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
        drive_id:
          type: string
          description: The parent drive ID associated with this file
          example: c28xyrc55866bvuv
          nullable: true
        remote_drive_id:
          type: string
          description: >-
            Provider's unique identifier of the parent drive associated with
            this file
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
        created_at:
          type: string
          description: The created date of the file
          example: '2023-02-23T00:00:00.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: The last updated date of the file
          example: '2024-02-23T00:00:00.000Z'
          format: date-time
          nullable: true
        has_content:
          description: Whether the file has content
          example: true
          oneOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          nullable: true
        has_children:
          description: Whether the file has children
          example: true
          oneOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          nullable: true
        all_parent_folder_ids:
          description: List of containing parent Folder IDs in descending order
          example:
            - '0123456789'
          nullable: true
          type: array
          items:
            type: string
    RawResponse:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        body:
          oneOf:
            - type: string
            - type: object
            - type: array
              items:
                type: integer
                format: int32
                minimum: 0
                maximum: 255
          additionalProperties: true
          nullable: true
        response:
          oneOf:
            - type: object
              additionalProperties: true
            - type: array
              items: {}
            - type: string
          nullable: true
      required:
        - method
        - url
    UnifiedError:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
          nullable: true
        message:
          type: string
          description: Error message
          example: Bad Request
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    ProviderError:
      type: object
      properties:
        status:
          type: number
          description: HTTP status code of the provider error
          example: 400
          nullable: true
        url:
          type: string
          description: URL that caused the error
          example: https://api.provider.com/v1/resource
          nullable: true
        raw:
          type: object
          description: Raw error response from the provider
          example:
            message: Invalid input parameters
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    FileFormatEnum:
      type: object
      properties:
        value:
          type: string
          description: The file format of the file, expressed as a file extension
          enum:
            - unmapped_value
            - ez
            - aw
            - atom
            - atomcat
            - atomdeleted
            - atomsvc
            - dwd
            - held
            - rsat
            - bdoc
            - xcs
            - ccxml
            - cdfx
            - cdmia
            - cdmic
            - cdmid
            - cdmio
            - cdmiq
            - cu
            - mpd
            - davmount
            - dbk
            - dssc
            - xdssc
            - es
            - ecma
            - emma
            - emotionml
            - epub
            - exi
            - exp
            - fdt
            - pfr
            - geojson
            - gml
            - gpx
            - gxf
            - gz
            - hjson
            - stk
            - ink
            - inkml
            - ipfix
            - its
            - jar
            - war
            - ear
            - ser
            - class
            - js
            - mjs
            - json
            - map
            - json5
            - jsonml
            - jsonld
            - lgr
            - lostxml
            - hqx
            - cpt
            - mads
            - webmanifest
            - mrc
            - mrcx
            - ma
            - nb
            - mb
            - mathml
            - mbox
            - mscml
            - metalink
            - meta4
            - mets
            - maei
            - musd
            - mods
            - m21
            - mp21
            - mp4s
            - m4p
            - doc
            - dot
            - mxf
            - nq
            - nt
            - cjs
            - bin
            - dms
            - lrf
            - mar
            - so
            - dist
            - distz
            - pkg
            - bpk
            - dump
            - elc
            - deploy
            - exe
            - dll
            - deb
            - dmg
            - iso
            - img
            - msi
            - msp
            - msm
            - buffer
            - oda
            - opf
            - ogx
            - omdoc
            - onetoc
            - onetoc2
            - onetmp
            - onepkg
            - oxps
            - relo
            - xer
            - pdf
            - pgp
            - asc
            - sig
            - prf
            - p10
            - p7m
            - p7c
            - p7s
            - p8
            - ac
            - cer
            - crl
            - pkipath
            - pki
            - pls
            - ai
            - eps
            - ps
            - provx
            - pskcxml
            - raml
            - rdf
            - owl
            - rif
            - rnc
            - rl
            - rld
            - rs
            - rapd
            - sls
            - rusd
            - gbr
            - mft
            - roa
            - rsd
            - rss
            - rtf
            - sbml
            - scq
            - scs
            - spq
            - spp
            - sdp
            - senmlx
            - sensmlx
            - setpay
            - setreg
            - shf
            - siv
            - sieve
            - smi
            - smil
            - rq
            - srx
            - gram
            - grxml
            - sru
            - ssdl
            - ssml
            - swidtag
            - tei
            - teicorpus
            - tfi
            - tsd
            - toml
            - trig
            - ttml
            - ubj
            - rsheet
            - td
            - vxml
            - wasm
            - wgt
            - hlp
            - wsdl
            - wspolicy
            - xaml
            - xav
            - xca
            - xdf
            - xel
            - xns
            - xenc
            - xhtml
            - xht
            - xlf
            - xml
            - xsl
            - xsd
            - rng
            - dtd
            - xop
            - xpl
            - '*xsl'
            - xslt
            - xspf
            - mxml
            - xhvml
            - xvml
            - xvm
            - yang
            - yin
            - zip
            - '*3gpp'
            - adp
            - amr
            - au
            - snd
            - mid
            - midi
            - kar
            - rmi
            - mxmf
            - '*mp3'
            - m4a
            - mp4a
            - mpga
            - mp2
            - mp2a
            - mp3
            - m2a
            - m3a
            - oga
            - ogg
            - spx
            - opus
            - s3m
            - sil
            - wav
            - '*wav'
            - weba
            - xm
            - ttc
            - otf
            - ttf
            - woff
            - woff2
            - exr
            - apng
            - avif
            - bmp
            - cgm
            - drle
            - emf
            - fits
            - g3
            - gif
            - heic
            - heics
            - heif
            - heifs
            - hej2
            - hsj2
            - ief
            - jls
            - jp2
            - jpg2
            - jpeg
            - jpg
            - jpe
            - jph
            - jhc
            - jpm
            - jpx
            - jpf
            - jxr
            - jxra
            - jxrs
            - jxs
            - jxsc
            - jxsi
            - jxss
            - ktx
            - ktx2
            - png
            - sgi
            - svg
            - svgz
            - t38
            - tif
            - tiff
            - tfx
            - webp
            - wmf
            - disposition-notification
            - u8msg
            - u8dsn
            - u8mdn
            - u8hdr
            - eml
            - mime
            - 3mf
            - gltf
            - glb
            - igs
            - iges
            - msh
            - mesh
            - silo
            - mtl
            - obj
            - stpx
            - stpz
            - stpxz
            - stl
            - wrl
            - vrml
            - '*x3db'
            - x3dbz
            - x3db
            - '*x3dv'
            - x3dvz
            - x3d
            - x3dz
            - x3dv
            - appcache
            - manifest
            - ics
            - ifb
            - coffee
            - litcoffee
            - css
            - csv
            - html
            - htm
            - shtml
            - jade
            - jsx
            - less
            - markdown
            - md
            - mml
            - mdx
            - n3
            - txt
            - text
            - conf
            - def
            - list
            - log
            - in
            - ini
            - rtx
            - '*rtf'
            - sgml
            - sgm
            - shex
            - slim
            - slm
            - spdx
            - stylus
            - styl
            - tsv
            - t
            - tr
            - roff
            - man
            - me
            - ms
            - ttl
            - uri
            - uris
            - urls
            - vcard
            - vtt
            - '*xml'
            - yaml
            - yml
            - 3gp
            - 3gpp
            - 3g2
            - h261
            - h263
            - h264
            - m4s
            - jpgv
            - '*jpm'
            - jpgm
            - mj2
            - mjp2
            - ts
            - mp4
            - mp4v
            - mpg4
            - mpeg
            - mpg
            - mpe
            - m1v
            - m2v
            - ogv
            - qt
            - mov
            - webm
            - cww
            - 1km
            - plb
            - psb
            - pvb
            - tcap
            - pwn
            - aso
            - imp
            - acu
            - atc
            - acutc
            - air
            - fcdt
            - fxp
            - fxpl
            - xdp
            - xfdf
            - ahead
            - azf
            - azs
            - azw
            - acc
            - ami
            - apk
            - cii
            - fti
            - atx
            - mpkg
            - key
            - m3u8
            - numbers
            - pages
            - pkpass
            - swi
            - iota
            - aep
            - bmml
            - mpm
            - bmi
            - rep
            - cdxml
            - mmd
            - cdy
            - csl
            - cla
            - rp9
            - c4g
            - c4d
            - c4f
            - c4p
            - c4u
            - c11amc
            - c11amz
            - csp
            - cdbcmsg
            - cmc
            - clkx
            - clkk
            - clkp
            - clkt
            - clkw
            - wbs
            - pml
            - ppd
            - car
            - pcurl
            - dart
            - rdz
            - dbf
            - uvf
            - uvvf
            - uvd
            - uvvd
            - uvt
            - uvvt
            - uvx
            - uvvx
            - uvz
            - uvvz
            - fe_launch
            - dna
            - mlp
            - mle
            - dpg
            - dfac
            - kpxx
            - ait
            - svc
            - geo
            - mag
            - nml
            - esf
            - msf
            - qam
            - slt
            - ssf
            - es3
            - et3
            - ez2
            - ez3
            - fdf
            - mseed
            - seed
            - dataless
            - gph
            - ftc
            - fm
            - frame
            - maker
            - book
            - fnc
            - ltf
            - fsc
            - oas
            - oa2
            - oa3
            - fg5
            - bh2
            - ddd
            - xdw
            - xbd
            - fzs
            - txd
            - ggb
            - ggt
            - gex
            - gre
            - gxt
            - g2w
            - g3w
            - gmx
            - gdoc
            - gslides
            - gsheet
            - kml
            - kmz
            - gqf
            - gqs
            - gac
            - ghf
            - gim
            - grv
            - gtm
            - tpl
            - vcg
            - hal
            - zmm
            - hbci
            - les
            - hpgl
            - hpid
            - hps
            - jlt
            - pcl
            - pclxl
            - sfd-hdstx
            - mpy
            - afp
            - listafp
            - list3820
            - irm
            - sc
            - icc
            - icm
            - igl
            - ivp
            - ivu
            - igm
            - xpw
            - xpx
            - i2g
            - qbo
            - qfx
            - rcprofile
            - irp
            - xpr
            - fcs
            - jam
            - rms
            - jisp
            - joda
            - ktz
            - ktr
            - karbon
            - chrt
            - kfo
            - flw
            - kon
            - kpr
            - kpt
            - ksp
            - kwd
            - kwt
            - htke
            - kia
            - kne
            - knp
            - skp
            - skd
            - skt
            - skm
            - sse
            - lasxml
            - lbd
            - lbe
            - apr
            - pre
            - nsf
            - org
            - scm
            - lwp
            - portpkg
            - mvt
            - mcd
            - mc1
            - cdkey
            - mwf
            - mfm
            - flo
            - igx
            - mif
            - daf
            - dis
            - mbk
            - mqy
            - msl
            - plc
            - txf
            - mpn
            - mpc
            - xul
            - cil
            - cab
            - xls
            - xlm
            - xla
            - xlc
            - xlt
            - xlw
            - xlam
            - xlsb
            - xlsm
            - xltm
            - eot
            - chm
            - ims
            - lrm
            - thmx
            - msg
            - cat
            - '*stl'
            - ppt
            - pps
            - pot
            - ppam
            - pptm
            - sldm
            - ppsm
            - potm
            - mpp
            - mpt
            - docm
            - dotm
            - wps
            - wks
            - wcm
            - wdb
            - wpl
            - xps
            - mseq
            - mus
            - msty
            - taglet
            - nlu
            - ntf
            - nitf
            - nnd
            - nns
            - nnw
            - '*ac'
            - ngdat
            - n-gage
            - rpst
            - rpss
            - edm
            - edx
            - ext
            - odc
            - otc
            - odb
            - odf
            - odft
            - odg
            - otg
            - odi
            - oti
            - odp
            - otp
            - ods
            - ots
            - odt
            - odm
            - ott
            - oth
            - xo
            - dd2
            - obgx
            - oxt
            - osm
            - pptx
            - sldx
            - ppsx
            - potx
            - xlsx
            - xltx
            - docx
            - dotx
            - mgp
            - dp
            - esa
            - pdb
            - pqa
            - oprc
            - paw
            - str
            - ei6
            - efif
            - wg
            - plf
            - pbd
            - box
            - mgz
            - qps
            - ptid
            - qxd
            - qxt
            - qwd
            - qwt
            - qxl
            - qxb
            - rar
            - bed
            - mxl
            - musicxml
            - cryptonote
            - cod
            - rm
            - rmvb
            - link66
            - st
            - see
            - sema
            - semd
            - semf
            - ifm
            - itp
            - iif
            - ipk
            - twd
            - twds
            - mmf
            - teacher
            - fo
            - sdkm
            - sdkd
            - dxp
            - sfs
            - sdc
            - sda
            - sdd
            - smf
            - sdw
            - vor
            - sgl
            - smzip
            - sm
            - wadl
            - sxc
            - stc
            - sxd
            - std
            - sxi
            - sti
            - sxm
            - sxw
            - sxg
            - stw
            - sus
            - susp
            - svd
            - sis
            - sisx
            - xsm
            - bdm
            - xdm
            - ddf
            - tao
            - pcap
            - cap
            - dmp
            - tmo
            - tpt
            - mxs
            - tra
            - ufd
            - ufdl
            - utz
            - umj
            - unityweb
            - uoml
            - vcx
            - vsd
            - vst
            - vss
            - vsw
            - vis
            - vsf
            - wbxml
            - wmlc
            - wmlsc
            - wtb
            - nbp
            - wpd
            - wqd
            - stf
            - xar
            - xfdl
            - hvd
            - hvs
            - hvp
            - osf
            - osfpvg
            - saf
            - spf
            - cmp
            - zir
            - zirz
            - zaz
            - 7z
            - abw
            - ace
            - '*dmg'
            - arj
            - aab
            - x32
            - u32
            - vox
            - aam
            - aas
            - bcpio
            - '*bdoc'
            - torrent
            - blb
            - blorb
            - bz
            - bz2
            - boz
            - cbr
            - cba
            - cbt
            - cbz
            - cb7
            - vcd
            - cfs
            - chat
            - pgn
            - crx
            - cco
            - nsc
            - cpio
            - csh
            - '*deb'
            - udeb
            - dgc
            - dir
            - dcr
            - dxr
            - cst
            - cct
            - cxt
            - w3d
            - fgd
            - swa
            - wad
            - ncx
            - dtb
            - res
            - dvi
            - evy
            - eva
            - bdf
            - gsf
            - psf
            - pcf
            - snf
            - pfa
            - pfb
            - pfm
            - afm
            - arc
            - spl
            - gca
            - ulx
            - gnumeric
            - gramps
            - gtar
            - hdf
            - php
            - install
            - '*iso'
            - '*key'
            - '*numbers'
            - '*pages'
            - jardiff
            - jnlp
            - kdbx
            - latex
            - luac
            - lzh
            - lha
            - run
            - mie
            - prc
            - mobi
            - application
            - lnk
            - wmd
            - wmz
            - xbap
            - mdb
            - obd
            - crd
            - clp
            - '*exe'
            - '*dll'
            - com
            - bat
            - '*msi'
            - mvb
            - m13
            - m14
            - '*wmf'
            - '*wmz'
            - '*emf'
            - emz
            - mny
            - pub
            - scd
            - trm
            - wri
            - nc
            - cdf
            - pac
            - nzb
            - pl
            - pm
            - '*prc'
            - '*pdb'
            - p12
            - pfx
            - p7b
            - spc
            - p7r
            - '*rar'
            - rpm
            - ris
            - sea
            - sh
            - shar
            - swf
            - xap
            - sql
            - sit
            - sitx
            - srt
            - sv4cpio
            - sv4crc
            - t3
            - gam
            - tar
            - tcl
            - tk
            - tex
            - tfm
            - texinfo
            - texi
            - '*obj'
            - ustar
            - hdd
            - ova
            - ovf
            - vbox
            - vbox-extpack
            - vdi
            - vhd
            - vmdk
            - src
            - webapp
            - der
            - crt
            - pem
            - fig
            - '*xlf'
            - xpi
            - xz
            - z1
            - z2
            - z3
            - z4
            - z5
            - z6
            - z7
            - z8
            - uva
            - uvva
            - eol
            - dra
            - dts
            - dtshd
            - lvp
            - pya
            - ecelp4800
            - ecelp7470
            - ecelp9600
            - rip
            - aac
            - aif
            - aiff
            - aifc
            - caf
            - flac
            - '*m4a'
            - mka
            - m3u
            - wax
            - wma
            - ram
            - ra
            - rmp
            - '*ra'
            - cdx
            - cif
            - cmdf
            - cml
            - csml
            - xyz
            - btif
            - pti
            - psd
            - azv
            - uvi
            - uvvi
            - uvg
            - uvvg
            - djvu
            - djv
            - '*sub'
            - dwg
            - dxf
            - fbs
            - fpx
            - fst
            - mmr
            - rlc
            - ico
            - dds
            - mdi
            - wdp
            - npx
            - b16
            - tap
            - vtf
            - wbmp
            - xif
            - pcx
            - 3ds
            - ras
            - cmx
            - fh
            - fhc
            - fh4
            - fh5
            - fh7
            - '*ico'
            - jng
            - sid
            - '*bmp'
            - '*pcx'
            - pic
            - pct
            - pnm
            - pbm
            - pgm
            - ppm
            - rgb
            - tga
            - xbm
            - xpm
            - xwd
            - wsc
            - dae
            - dwf
            - gdl
            - gtw
            - mts
            - ogex
            - x_b
            - x_t
            - vds
            - usdz
            - bsp
            - vtu
            - dsc
            - curl
            - dcurl
            - mcurl
            - scurl
            - sub
            - fly
            - flx
            - gv
            - 3dml
            - spot
            - jad
            - wml
            - wmls
            - s
            - asm
            - c
            - cc
            - cxx
            - cpp
            - h
            - hh
            - dic
            - htc
            - f
            - for
            - f77
            - f90
            - hbs
            - java
            - lua
            - mkd
            - nfo
            - opml
            - '*org'
            - p
            - pas
            - pde
            - sass
            - scss
            - etx
            - sfv
            - ymp
            - uu
            - vcs
            - vcf
            - uvh
            - uvvh
            - uvm
            - uvvm
            - uvp
            - uvvp
            - uvs
            - uvvs
            - uvv
            - uvvv
            - dvb
            - fvt
            - mxu
            - m4u
            - pyv
            - uvu
            - uvvu
            - viv
            - f4v
            - fli
            - flv
            - m4v
            - mkv
            - mk3d
            - mks
            - mng
            - asf
            - asx
            - vob
            - wm
            - wmv
            - wmx
            - wvx
            - avi
            - movie
            - smv
            - ice
            - mht
            - null
          example: pdf
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          example: application/pdf
          nullable: true
  securitySchemes:
    basic:
      type: http
      scheme: basic

````